/**********************************************************
RunUO 2.0 AoV C# script file
Official Age of Valor Script :: www.uovalor.com
Last modified by 
Filepath: scripts\_custom\mobiles\npc\vendor\SBspecialtyDealer.cs
Lines of code: 36
***********************************************************/


using System; 
using System.Collections; 
using Server.Items; 

namespace Server.Mobiles 
{ 
	public class SBSpecialtyDealer : SBInfo
	{
		private ArrayList m_BuyInfo = new InternalBuyInfo();
		private IShopSellInfo m_SellInfo = new InternalSellInfo();

		public SBSpecialtyDealer()
		{
		}

		public override IShopSellInfo SellInfo { get { return m_SellInfo; } }
		public override ArrayList BuyInfo { get { return m_BuyInfo; } }

		public class InternalBuyInfo : ArrayList
		{
			public InternalBuyInfo()
			{
			 //genericbuyinfo(type,price,0,itemid,hue);
				Add( new GenericBuyInfo( typeof( randomartydeed ),15000000, 20, 5360, 45 ) );
				Add( new GenericBuyInfo( typeof( skilldeedbag), 1750000, 20, 3702, 5 ) );
				Add( new GenericBuyInfo( typeof( lrcsuit), 2000000, 20, 3702, 0x554 ) );				
				Add( new GenericBuyInfo( typeof( PetBondingDeed), 1250000, 20, 5360, 572 ) );
				Add( new GenericBuyInfo( typeof( HolidayTreeDeed), 15000, 20, 5360, 0x488 ) );
				
			}
		}

		public class InternalSellInfo : GenericSellInfo
		{
			public InternalSellInfo()
			{
				//Add( typeof( Bandage ), 1 );

				
				
				
				
				Type[] types = Loot.RegularScrollTypes;

				for ( int i = 0; i < types.Length; ++i )
					Add( types[i], ((i / 8) + 2) * 5 );
			}
		}
	}
}